All Apps and Add-ons

After upgrading DB Connect 2.0.x to 2.1.0, why are we getting "Unsupported JRE detected. Using: Oracle Corporation JRE version: 1.8 and VM: OpenJDK 64-Bit Server VM"?

hortonew
Builder

After upgrading from DB Connect 2.0.x to 2.1.0, we're now getting this error:

JRE Status: Unsupported JRE detected. Using: Oracle Corporation JRE version: 1.8 and VM: OpenJDK 64-Bit Server VM . Need: Oracle Corporation JRE version 1.8

Using:

javahome = /usr/lib/jvm/jre-1.8.0

Is it a problem with the OpenJDK VM?

1 Solution

hortonew
Builder

Downloaded jre-8u66-linux-x64.tar.gz from supported http://www.oracle.com/technetwork/java/javase/downloads/jre8-downloads-2133155.html site. Now it's working.

View solution in original post

hsesterhenn
Path Finder

Hi,

I use an older Ubuntu LTS 12.04 environment (to lazy to update 🙂 and have DBConnect 1.2.2 and DBConnect 2.1.x installed in parallel.

To upgrade to the latest Java 1.7 (OpenJDK) and Java 1.8 (Oracle!!!!) version these URLs helped...

Java 1.7.
http://askubuntu.com/questions/48468/how-do-i-install-java
sudo apt-get install openjdk-7-jre

Java 1.8. Oracle!
http://tecadmin.net/install-oracle-java-8-jdk-8-ubuntu-via-ppa/#

OpenJDK 1.8 does not work!!!!
http://ubuntuhandbook.org/index.php/2015/01/install-openjdk-8-ubuntu-14-04-12-04-lts/

HTH,

Holger

0 Karma

hortonew
Builder

Downloaded jre-8u66-linux-x64.tar.gz from supported http://www.oracle.com/technetwork/java/javase/downloads/jre8-downloads-2133155.html site. Now it's working.

View solution in original post

Did you miss .conf21 Virtual?

Good news! The event's keynotes and many of its breakout sessions are now available online, and still totally FREE!